Up

# NSInvocation class additions

### Authors

Stefan Urbanek(`urbanek@host.sk` )

Copyright: (C) 2002 Free Software Foundation

### Contents -

1. Software documentation for the NSInvocation(STAdditions) category
2. NSInvocation+additions functions

# Software documentation for the NSInvocation(STAdditions) category

## NSInvocation(STAdditions)

> Declared in:
>   StepTalk/NSInvocation+additions.h

Description forthcoming.

Method summary

- +invocationWithTarget:selectorName:
- -getArgumentAsObjectAtIndex:
- -returnValueAsObject
- -setArgumentAsObject:atIndex:

### invocationWithTarget:selectorName:

+ (id) invocationWithTarget: (id)target selectorName: (NSString*)selectorName;

Description forthcoming.

### getArgumentAsObjectAtIndex:

- (id) getArgumentAsObjectAtIndex: (int)anIndex;

Description forthcoming.

### returnValueAsObject

- (id) returnValueAsObject;

Description forthcoming.

### setArgumentAsObject:atIndex:

- (void) setArgumentAsObject: (id)anObject atIndex: (int)anIndex;

Description forthcoming.

# NSInvocation+additions functions

### STGetValueOfTypeFromObject

void STGetValueOfTypeFromObject(void* value, const char* type, id anObject);

Description forthcoming.

### STObjectFromValueOfType

id STObjectFromValueOfType(void* value, const char* type);

Description forthcoming.

Up